Phone not supported (Sky Devices Elite 5.0L with Android 5.1)

Dear folks,
I own a Sky Elite 5.0L (from Sky Devices), with stock Android 5.1, which apparently cannot be rooted with any app, not even KingRoot 5.0.0 (latest as of December 5th, 2016). Was anyone able to root it? Remind you: it has stock Android 5.1, not 4.4.2.
I need urgently to root it to be able to use Link2SD to make room for apps for work. I offer myself as beta tester.
Kind regards,
Gabriel

Show Accepted Answer

Guest Quick Reply (No URL, BBcode or HTML)

Last post by travis.cummings
1 hour ago
Last post by eunice50
4 hours ago
Last post by emmerich.evert
15 minutes ago
Last post by dolores49
3 hours ago
Last post by aisha.ryan
3 hours ago
Last post by jayme.dickens
2 hours ago
Last post by wsanford
3 hours ago
Last post by natasha04
4 hours ago
Last post by mae98
3 hours ago